Bug 86867 - [EFL] EFL's LayoutTestController needs to implement sendWebIntentResponse
Summary: [EFL] EFL's LayoutTestController needs to implement sendWebIntentResponse
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords:
Depends on: 85364
Blocks: 86868
  Show dependency treegraph
 
Reported: 2012-05-18 10:10 PDT by Chris Dumez
Modified: 2012-05-24 00:20 PDT (History)
6 users (show)

See Also:


Attachments
Patch (13.78 KB, patch)
2012-05-23 07:13 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff
Patch (13.78 KB, patch)
2012-05-23 07:25 PDT, Chris Dumez
abarth: review+
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff
Patch for landing (13.68 KB, patch)
2012-05-23 22:33 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2012-05-18 10:10:39 PDT
EFL's LayoutTestController needs to implement sendWebIntentResponse which is needed by the following test cases:
  webintents/web-intents-failure.html
  webintents/web-intents-reply.html
Comment 1 Chris Dumez 2012-05-23 07:13:51 PDT
Created attachment 143563 [details]
Patch
Comment 2 Raphael Kubo da Costa (:rakuco) 2012-05-23 07:21:11 PDT
Comment on attachment 143563 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=143563&action=review

The EFL part looks OK, I'd prefer someone else to comment on the cross-port sendWebIntentResponseCallback.

> Tools/DumpRenderTree/LayoutTestController.cpp:2011
> +    if (argumentCount== 1) {

Nit: missing a space before '=='.
Comment 3 Chris Dumez 2012-05-23 07:25:02 PDT
Created attachment 143567 [details]
Patch

Fix style nit. Thanks Rakuco.
Comment 4 Adam Barth 2012-05-23 13:17:58 PDT
Comment on attachment 143567 [details]
Patch

ok
Comment 5 WebKit Review Bot 2012-05-23 17:17:22 PDT
Comment on attachment 143567 [details]
Patch

Rejecting attachment 143567 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
.h
patching file Tools/DumpRenderTree/efl/LayoutTestControllerEfl.cpp
patching file Tools/DumpRenderTree/gtk/LayoutTestControllerGtk.cpp
patching file Tools/DumpRenderTree/mac/LayoutTestControllerMac.mm
patching file Tools/DumpRenderTree/win/LayoutTestControllerWin.cpp
patching file Tools/DumpRenderTree/wx/LayoutTestControllerWx.cpp

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--force', u'--reviewer', u'Adam Barth']" exit_code: 1 cwd: /mnt/git/webkit-commit-queue/

Full output: http://queues.webkit.org/results/12780324
Comment 6 Chris Dumez 2012-05-23 22:33:22 PDT
Created attachment 143731 [details]
Patch for landing
Comment 7 WebKit Review Bot 2012-05-24 00:20:13 PDT
Comment on attachment 143731 [details]
Patch for landing

Clearing flags on attachment: 143731

Committed r118331: <http://trac.webkit.org/changeset/118331>
Comment 8 WebKit Review Bot 2012-05-24 00:20:20 PDT
All reviewed patches have been landed.  Closing bug.